| AI Engine Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
X buffer conjugation
Intrinsics » Vector Operations » MAC intrinsics » Multiplication » Advanced » Integer » Vector MAC with pre-subtraction » 16 bit x 16 bit » 16 bit Complex x 16 bit Real

## Overview

16 bit complex by 16 bit real using X buffer conjugation

## Functions
v4cacc48 | mac4_antisym_c (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | mac4_antisym_c (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | mac4_antisym_c (v4cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x input buffer .
v8cacc48 | mac8_antisym_c (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | mac8_antisym_c (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | mac8_antisym_c (v8cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x input buffer .
v4cacc48 | msc4_antisym_c (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | msc4_antisym_c (v4cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | msc4_antisym_c (v4cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x input buffer .
v8cacc48 | msc8_antisym_c (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | msc8_antisym_c (v8cacc48 acc, v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | msc8_antisym_c (v8cacc48 acc, v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x input buffer .
v4cacc48 | mul4_antisym_c (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | mul4_antisym_c (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | mul4_antisym_c (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x input buffer .
v8cacc48 | mul8_antisym_c (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | mul8_antisym_c (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | mul8_antisym_c (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x input buffer .
v4cacc48 | negmul4_antisym_c (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v4cacc48 | negmul4_antisym_c (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v4cacc48 | negmul4_antisym_c (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x input buffer .
v8cacc48 | negmul8_antisym_c (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.
v8cacc48 | negmul8_antisym_c (v16cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, v16cint16 ybuff, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.
v8cacc48 | negmul8_antisym_c (v32cint16 xbuff, int xstart, unsigned int xoffsets, int xstep, int ystart, v16int16 zbuff, int zstart, unsigned int zoffsets, int zstep)
| Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x input buffer .

## Function Documentation

## ◆ mac4_antisym_c() [1/3]

v4cacc48 mac4_antisym_c | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 += z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03))
acc1 += z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13))
acc2 += z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23))
acc3 += z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33))

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_antisym_c() [2/3]

v4cacc48 mac4_antisym_c | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 += z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03))
acc1 += z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13))
acc2 += z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23))
acc3 += z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33))

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_antisym_c() [3/3]

v4cacc48 mac4_antisym_c | ( | v4cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x input buffer .

acc0 += z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03))
acc1 += z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13))
acc2 += z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23))
acc3 += z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33))

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac8_antisym_c() [1/3]

v8cacc48 mac8_antisym_c | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 += z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01))
acc1 += z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11))
acc2 += z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21))
acc3 += z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31))
acc4 += z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41))
acc5 += z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51))
acc6 += z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61))
acc7 += z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71))

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac8_antisym_c() [2/3]

v8cacc48 mac8_antisym_c | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 += z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01))
acc1 += z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11))
acc2 += z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21))
acc3 += z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31))
acc4 += z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41))
acc5 += z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51))
acc6 += z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61))
acc7 += z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71))

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac8_antisym_c() [3/3]

v8cacc48 mac8_antisym_c | ( | v8cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-accumulate intrinsic function with x buffer conjugation with pre-sub from x input buffer .

acc0 += z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01))
acc1 += z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11))
acc2 += z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21))
acc3 += z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31))
acc4 += z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41))
acc5 += z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51))
acc6 += z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61))
acc7 += z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71))

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym_c() [1/3]

v4cacc48 msc4_antisym_c | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 -= z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03))
acc1 -= z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13))
acc2 -= z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23))
acc3 -= z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33))

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym_c() [2/3]

v4cacc48 msc4_antisym_c | ( | v4cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 -= z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03))
acc1 -= z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13))
acc2 -= z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23))
acc3 -= z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33))

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_antisym_c() [3/3]

v4cacc48 msc4_antisym_c | ( | v4cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x input buffer .

acc0 -= z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03))
acc1 -= z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13))
acc2 -= z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23))
acc3 -= z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33))

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc8_antisym_c() [1/3]

v8cacc48 msc8_antisym_c | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 -= z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01))
acc1 -= z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11))
acc2 -= z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21))
acc3 -= z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31))
acc4 -= z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41))
acc5 -= z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51))
acc6 -= z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61))
acc7 -= z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71))

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc8_antisym_c() [2/3]

v8cacc48 msc8_antisym_c | ( | v8cacc48 | acc,
|  | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 -= z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01))
acc1 -= z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11))
acc2 -= z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21))
acc3 -= z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31))
acc4 -= z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41))
acc5 -= z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51))
acc6 -= z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61))
acc7 -= z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71))

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc8_antisym_c() [3/3]

v8cacc48 msc8_antisym_c | ( | v8cacc48 | acc,
|  | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-subtract intrinsic function with x buffer conjugation with pre-sub from x input buffer .

acc0 -= z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01))
acc1 -= z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11))
acc2 -= z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21))
acc3 -= z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31))
acc4 -= z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41))
acc5 -= z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51))
acc6 -= z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61))
acc7 -= z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71))

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (8 x cint48 lanes)
  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym_c() [1/3]

v4cacc48 mul4_antisym_c | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03))
acc1 = z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13))
acc2 = z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23))
acc3 = z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33))

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym_c() [2/3]

v4cacc48 mul4_antisym_c | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03))
acc1 = z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13))
acc2 = z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23))
acc3 = z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33))

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_antisym_c() [3/3]

v4cacc48 mul4_antisym_c | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x input buffer .

acc0 = z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03))
acc1 = z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13))
acc2 = z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23))
acc3 = z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33))

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul8_antisym_c() [1/3]

v8cacc48 mul8_antisym_c | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01))
acc1 = z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11))
acc2 = z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21))
acc3 = z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31))
acc4 = z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41))
acc5 = z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51))
acc6 = z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61))
acc7 = z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71))

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul8_antisym_c() [2/3]

v8cacc48 mul8_antisym_c | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01))
acc1 = z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11))
acc2 = z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21))
acc3 = z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31))
acc4 = z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41))
acc5 = z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51))
acc6 = z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61))
acc7 = z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71))

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul8_antisym_c() [3/3]

v8cacc48 mul8_antisym_c | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply intrinsic function with x buffer conjugation with pre-sub from x input buffer .

acc0 = z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01))
acc1 = z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11))
acc2 = z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21))
acc3 = z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31))
acc4 = z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41))
acc5 = z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51))
acc6 = z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61))
acc7 = z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71))

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym_c() [1/3]

v4cacc48 negmul4_antisym_c | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = -( z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03)) )
acc1 = -( z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13)) )
acc2 = -( z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23)) )
acc3 = -( z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33)) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym_c() [2/3]

v4cacc48 negmul4_antisym_c | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = -( z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03)) )
acc1 = -( z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13)) )
acc2 = -( z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23)) )
acc3 = -( z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33)) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_antisym_c() [3/3]

v4cacc48 negmul4_antisym_c | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x input buffer .

acc0 = -( z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) + z02*(cnj(x02) - cnj(y02)) + z03*(cnj(x03) - cnj(y03)) )
acc1 = -( z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) + z12*(cnj(x12) - cnj(y12)) + z13*(cnj(x13) - cnj(y13)) )
acc2 = -( z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) + z22*(cnj(x22) - cnj(y22)) + z23*(cnj(x23) - cnj(y23)) )
acc3 = -( z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) + z32*(cnj(x32) - cnj(y32)) + z33*(cnj(x33) - cnj(y33)) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul8_antisym_c() [1/3]

v8cacc48 negmul8_antisym_c | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x input buffer using small X input buffer.

acc0 = -( z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) )
acc1 = -( z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) )
acc2 = -( z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) )
acc3 = -( z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) )
acc4 = -( z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41)) )
acc5 = -( z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51)) )
acc6 = -( z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61)) )
acc7 = -( z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71)) )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul8_antisym_c() [2/3]

v8cacc48 negmul8_antisym_c | ( | v16cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | v16cint16 | ybuff,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x and y input buffers using small X input buffer.

acc0 = -( z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) )
acc1 = -( z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) )
acc2 = -( z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) )
acc3 = -( z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) )
acc4 = -( z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41)) )
acc5 = -( z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51)) )
acc6 = -( z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61)) )
acc7 = -( z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71)) )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ybuff | Right input buffer of 16 elements of type cint16
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul8_antisym_c() [3/3]

v8cacc48 negmul8_antisym_c | ( | v32cint16 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | xstep,
|  | int | ystart,
|  | v16int16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | int | zstep )

Complex anti-symmetric multiply-negate intrinsic function with x buffer conjugation with pre-sub from x input buffer .

acc0 = -( z00*(cnj(x00) - cnj(y00)) + z01*(cnj(x01) - cnj(y01)) )
acc1 = -( z10*(cnj(x10) - cnj(y10)) + z11*(cnj(x11) - cnj(y11)) )
acc2 = -( z20*(cnj(x20) - cnj(y20)) + z21*(cnj(x21) - cnj(y21)) )
acc3 = -( z30*(cnj(x30) - cnj(y30)) + z31*(cnj(x31) - cnj(y31)) )
acc4 = -( z40*(cnj(x40) - cnj(y40)) + z41*(cnj(x41) - cnj(y41)) )
acc5 = -( z50*(cnj(x50) - cnj(y50)) + z51*(cnj(x51) - cnj(y51)) )
acc6 = -( z60*(cnj(x60) - cnj(y60)) + z61*(cnj(x61) - cnj(y61)) )
acc7 = -( z70*(cnj(x70) - cnj(y70)) + z71*(cnj(x71) - cnj(y71)) )

Returns
  Returned accumulation vector (8 x cint48 lanes)

Parameters

  xbuff | Input buffer of 32 elements of type cint16
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  xstep | Step between each column for selection in the x and y buffers. Ystep is symmetric to xstep (ystep advances by -xstep).
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  zbuff | Input buffer of 16 elements of type int16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zstep | Step between each column for selection in the zbuffer.

Note
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.